package com.sw.mes.store.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.sw.mes.core.response.Result;
import com.sw.mes.store.dto.WarehouseAllotBillDto;
import com.sw.mes.store.entity.WarehouseAllotBill;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface WarehouseAllotBillService extends IService<WarehouseAllotBill> {
    void create(WarehouseAllotBillDto warehouseAllotBillDto);

    WarehouseAllotBill getByBillNo(String billNo);

    void auditReceiveAtomic(WarehouseAllotBillDto allotBillDto);

    void auditReceive(WarehouseAllotBillDto allotBillDto);

    void autoReceiveAtomic(WarehouseAllotBillDto allotBillDto);

    void autoReceive(WarehouseAllotBillDto allotBillDto);

    Result rejectApply(WarehouseAllotBillDto allotBillDto);
}
